Package com.sun.jna.platform.win32

# Class WinUser.MSG

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.MSG

Enclosing interface:
  WinUser

@FieldOrder({"hWnd","message","wParam","lParam","time","pt"}) public static class WinUser.MSG extends Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`WinDef.HWND`
`hWnd`
`WinDef.LPARAM`
`lParam`
`int`
`message`
`WinDef.POINT`
`pt`
`int`
`time`
`WinDef.WPARAM`
`wParam`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`MSG()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### hWnd

public WinDef.HWND hWnd

### message

public int message

### wParam

public WinDef.WPARAM wParam

### lParam

public WinDef.LPARAM lParam

### time

public int time

### pt

public WinDef.POINT pt

## Constructor Details

### MSG

public MSG()